using Pilz.Net.CloudProviders.Nextcloud;
using Pilz.Net.CloudProviders.Nextcloud.Client.Cloud.Ocs;
using Pilz.Net.CloudProviders.Nextcloud.OCS;

namespace Pilz.Net.CloudProviders.Nextcloud.Client.Cloud;

public class OcsApiCloud : OcsApiBase
{
    public readonly static OcsApiUrlPath OCS_CLOUD_USER_METADATA = new("/ocs/v1.php/cloud/users/{0}");

    public OcsApiCloud(OcsApi manager) : base(manager)
    {
    }

    public OcsResponseUser? GetUserMeta(string username)
    {
        return Manager.MakeRequestOcs<OcsResponseUser>(HttpMethod.Get, OCS_CLOUD_USER_METADATA.FillParameters(username));
    }
}
